package http_model

type UpdateAccountInfoRequest struct {
	EnterpriseId   string `json:"enterprise_id"`    // 商家ID
	SubAccountId   int    `json:"sub_account_id"`   // 子账号ID
	Phone          string `json:"phone"`            // 绑定手机号
	Code           string `json:"code"`             // 验证码
	EnterpriseName string `json:"enterprise_name"`  // 商家名称
	Avatar         string `json:"avatar"`           // 头像url
	SubAccountName string `json:"sub_account_name"` // 子账号名称
}

type UpdateAccountInfoData struct {
	Phone          string `json:"phone"`            // 绑定手机号
	EnterpriseName string `json:"enterprise_name"`  // 商家名称
	Avatar         string `json:"avatar"`           // 头像url
	SubAccountName string `json:"sub_account_name"` // 子账号名称
}

func NewUpdateAccountInfoRequest() *UpdateAccountInfoRequest {
	return new(UpdateAccountInfoRequest)
}

func NewUpdateAccountInfoResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(UpdateAccountInfoData)
	return resp
}
